Actions

ComfortUpdate

From LimeSurvey Manual

This page is a translated version of the page ComfortUpdate and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Nederlands • ‎Tiếng Việt • ‎dansk • ‎español • ‎français • ‎italiano • ‎magyar • ‎polski • ‎português do Brasil • ‎română • ‎slovenščina • ‎български • ‎русский • ‎日本語

Általános

A „ComfortUpdate” a LimeSurvey GmbH professzionális szolgáltatása, amellyel egyszerűen, néhány egérkattintással frissítheti a LimeSurvey-t webböngészőjéből (ahelyett, hogy kézi frissítést kellene végrehajtania).

A ComfortUpdate használatához és teszteléséhez regisztrálnia kell on LimeSurvey, hogy megkapja az ingyenes próbaverziós kulcsot. A próbaidőszaki kulcs lejárta után megvásárolhatja prémium csomagjaink egyikét, vagy frissítse a telepítést manuálisan.


Template:Figyelmeztetés

Követelmények

A PHP telepítését a ZLib támogatásával kell lefordítani, és rendelkeznie kell a .php OpenSSL kiterjesztés telepítve és engedélyezve. Ellenőrizze a PHPInfo-t, vagy kérjen megerősítést a rendszergazdától.

A ComfortUpdate eszköz használatához a szerverének képesnek kell lennie SSL-en keresztül csatlakozni a „comfortupdate.limesurvey.org” webhelyhez. Ha problémái vannak, és olyan hibaüzeneteket kap, mint például: „10060 nem tudott csatlakozni a „comfortupdate.limesurvey.org” gazdagéphez, módosítania kell/szerkesztenie kell a proxy/tűzfal biztonsági beállításait, vagy további útmutatást kell kérnie a szerver rendszergazdájától. /Segítség.

A ComfortUpdate használata

A LimeSurvey ComfortUpdate funkció aktív felmérések esetén is biztonságosan használható. Nem törli vagy semmisíti meg a meglévő adatokat. Elővigyázatosságból azonban manuálisan kell biztonsági másolatot készítenie aktuális adatbázisáról és fájljairól, mielőtt folytatná.

  • Keresse meg a Frissítés gombot
    • A régebbi LimeSurvey verziók esetén lépjen a Globális beállítások ikonra, válassza ki az első lapot, majd kattintson a Frissítések gombra
    • A legutóbbi Limesurveyhez verziók esetén a ComfortUpdate gombot a 'Konfiguráció' párbeszédablakban, a Speciális fül alatt találja:


ComfortUpdate.png


  • A ComfortUpdate képernyő egy frissítési hivatkozást jelenít meg, ha elérhető a LimeSurvey új verziója. Ha nem, kattintson a „Check now” gombra, hogy megtudja, elérhető-e új frissítés
  • Ha frissítés található, a LimeSurvey megjelenít egy hivatkozást, amely lehetővé teszi a frissítést. Kattintson erre a frissítés megkezdéséhez
  • Ha még soha nem használta a ComfortUpdate szolgáltatást, vagy a ComfortUpdate frissítési kulcs nem érvényes, a rendszer felkéri a frissítési kulcs megadására.


ComfortUpdateKey.png


  • A LimeSurvey most ellenőrzi a telepítési könyvtárat, hogy megbizonyosodjon arról, hogy a megfelelő engedélyek be vannak állítva a frissítés engedélyezéséhez. Megjelenik a javasolt változtatások listája
  • Ha bármilyen probléma adódna, ezen a ponton ki kell javítania azokat, majd folytassa a következő lépéssel
  • A ComfortUpdate most biztonsági másolatot készít az adatbázisról (ha használja MySQL), és mentse a régi telepítő fájlokat a /tmp könyvtárba. Ha másik adatbázist használ, a folytatás előtt manuálisan készítsen biztonsági másolatot az adatbázisról! Az N!ComfortUpdate most frissíti a telepítést a legújabb verzióra, frissítve az adatbázist is, hogy tükrözze az új (lehetséges) változtatásokat.

A ComfortUpdate letiltása

A ComfortUpdate letiltásához, hogy elkerülje az Új kiadás elérhető felugró üzeneteket minden új kiadás után, hozzáadhatja a következő opciót a "config.php" fájlhoz (amely a /limesurvey/application könyvtárban található /config):

 
'frissíthető' => false

Azonban határozottan javasoljuk, hogy ne tiltsa le ezt, mert lemaradhat a fontos biztonsági frissítésekről.

Hibaelhárítás

Hibaüzenetet kapok a ComfortUpdate során

Első lépésként próbálja meg újra futtatni ugyanazt a lépést egy perc múlva. Alkalmanként a kiszolgálónak először le kell generálnia a frissítőcsomagot, ami eltarthat egy percig. Ha továbbra sem működik, tekintse meg a többi megoldást ebben a hibaelhárítási részben.

Nincs kiszolgáló válasz - A ComfortUpdate szerver nem válaszol

2022 decemberétől a frissített szerverünk kapcsolatának alapértelmezése csak SSL használatára módosult. Ehhez az szükséges, hogy az OpenSSL PHP könyvtár megfelelően legyen konfigurálva a szerveren és aktiválva van, és hogy az Ön szervere csatlakozhat HTTP SSL kapcsolaton keresztül a külső oldalhoz (a comfortupdate.limesurvey.org szerverünkhöz). Ha ezen követelmények valamelyike nem teljesül, ezt az üzenetet kapja. A Az ideiglenes megoldás (amit nem javasolunk) az, hogy letiltja ezt a követelményt az /application/config/updater_version.php by set

 
$config['comfort_update_server_ssl'] = 0;

Üres oldal a 3. lépésben

Ha a 3. lépésben üres oldalt kap, az általában azt jelenti, hogy a PHP konfiguráció memóriakorlátja túl alacsonyra van állítva. E lépés során a LimeSurvey megpróbál biztonsági másolatot készíteni az adatbázisról és a fájlról (a cserélendő fájlokról).

Proxyszerver használata az update.limesurvey.com webhelyhez való csatlakozáshoz

Ha proxy mögött áll, előfordulhat, hogy módosítania kell néhány beállítást a ComfortUpdate használatához. A proxyszerver részleteit a konfigurációs fájlban állíthatja be (lásd az általános beállítások wikijében).